httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Trawick <traw...@gmail.com>
Subject Re: Apache test suite problems
Date Mon, 25 Jan 2010 12:59:22 GMT
On Sun, Jan 24, 2010 at 10:31 PM, leon <llwang@novell.com> wrote:
> Hi there,

Please don't cc me.

> I am using SuSE Linux Enterprise Server 11
> I checked out the latest code
> # svn checkout http://svn.apache.org/repos/asf/httpd/test/framework/trunk/
> httpd-framework
>
> Then I followed the "quick start" in README
> # perl Makefile.PL -apxs /usr/sbin/apxs2
> # t/TEST
>
> But I got following error:
> [warning] setting ulimit to allow core files
> ulimit -c unlimited; /usr/bin/perl /home/leon/project/httpd-framework/t/TEST
> /usr/sbin/httpd2-prefork  -d /home/leon/project/httpd-framework/t -f
> /home/leon/project/httpd-framework/t/conf/httpd.conf -D APACHE2 -D
> PERL_USEITHREADS
> using Apache/2.2.13 (prefork MPM)

no error there

> waiting 60 seconds for server to start: .Syntax error on line 170 of
> /home/leon/project/httpd-framework/t/conf/httpd.conf:
> Invalid command '<IfVersion', perhaps misspelled or defined by a module not
> included in the server configuration
> [  error]
> server has died with status 255 (t/logs/error_log wasn't created, start the
> server in the debug mode)
>
>
> After I added following 3 lines into /home/leon/project/httpd-framework/t/conf/httpd.conf,
the test can work.
>
> <IfModule !mod_version.c>
>    LoadModule version_module "/usr/lib/apache2-prefork/mod_version.so"
> </IfModule>

Right, the test suite requires mod_version for testing httpd 2.0 or above.

> But there still a lot of mod missed. So lots of test skipped or failed.

Can you show us the output?  Generally a missing Perl CPAN module or
httpd module will result in skipped tests but not failures; perhaps
some very basic modules are missing.

Mime
View raw message